

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_solicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_solicitud]
GO
CREATE PROCEDURE [reg_doc_documento_solicitud]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.solicitud] AS [documento.solicitud],
		[email] AS [email],
		[fax] AS [fax],
		[telefono] AS [telefono],
		[solicitante] AS [solicitante],
		[motivoServicio] AS [motivoServicio],
		[solucionTelefonica] AS [solucionTelefonica],
		[id_departamentoSolicitud] AS [id_departamentoSolicitud],
		[id_medioSolicitud] AS [id_medioSolicitud],
		[id_equipo] AS [id_equipo],
		[id_sucursal] AS [id_sucursal],
		[id_zona] AS [id_zona],
		[cargo] AS [cargo],
		[direccion] AS [direccion]
	FROM [doc_documento.solicitud]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_documento_solicitud]')) DROP VIEW [dbo].[view_doc_documento_solicitud]
GO
CREATE  VIEW [view_doc_documento_solicitud] AS
SELECT 	[doc_documento.solicitud].[id] AS [id],
		[doc_documento.solicitud].[uid] AS [uid],
		[doc_documento.solicitud].[eid] AS [eid],
		[doc_documento.solicitud].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_documento.solicitud].[id_usuario_creo] AS [id_usuario_creo],
		[doc_documento.solicitud].[fechaModificacion] AS [fechaModificacion],
		[doc_documento.solicitud].[fechaCreacion] AS [fechaCreacion],
		[doc_documento.solicitud].[active] AS [active],
		[doc_documento.solicitud].[documento.solicitud] AS [documento.solicitud],
		[doc_documento.solicitud].[email] AS [email],
		[doc_documento.solicitud].[fax] AS [fax],
		[doc_documento.solicitud].[telefono] AS [telefono],
		[doc_documento.solicitud].[solicitante] AS [solicitante],
		[doc_documento.solicitud].[motivoServicio] AS [motivoServicio],
		[doc_documento.solicitud].[solucionTelefonica] AS [solucionTelefonica],
		[doc_documento.solicitud].[id_departamentoSolicitud] AS [id_departamentoSolicitud],
[ort_departamentoSolicitud].[departamentoSolicitud] as [ort_departamentoSolicitud_departamentoSolicitud],
[ort_departamentoSolicitud].[departamentoSolicitud_codigo] as [ort_departamentoSolicitud_departamentoSolicitud_codigo],
[ort_departamentoSolicitud].[recibeSolicitudes] as [ort_departamentoSolicitud_recibeSolicitudes],
		[doc_documento.solicitud].[id_medioSolicitud] AS [id_medioSolicitud],
[doc_medioSolicitud].[medioSolicitud] as [doc_medioSolicitud_medioSolicitud],
[doc_medioSolicitud].[medioSolicitud_codigo] as [doc_medioSolicitud_medioSolicitud_codigo],
		[doc_documento.solicitud].[id_equipo] AS [id_equipo],
[equ_equipo].[equipo] as [equ_equipo_equipo],
[equ_equipo].[equipo_codigo] as [equ_equipo_equipo_codigo],
[equ_equipo].[equipo_serial] as [equ_equipo_equipo_serial],
[equ_equipo].[nombreContacto] as [equ_equipo_nombreContacto],
[equ_equipo].[telefonoContacto] as [equ_equipo_telefonoContacto],
[equ_equipo].[ubicacion] as [equ_equipo_ubicacion],
[equ_equipo].[observaciones] as [equ_equipo_observaciones],
[equ_equipo].[fechaPuestaMarcha_fh] as [equ_equipo_fechaPuestaMarcha_fh],
[equ_equipo].[vencimientoGarantiaFabrica_ff] as [equ_equipo_vencimientoGarantiaFabrica_ff],
[equ_equipo].[vencimientoGarantiaDistribuidor_ff] as [equ_equipo_vencimientoGarantiaDistribuidor_ff],
[equ_equipo].[horasGarantia] as [equ_equipo_horasGarantia],
[equ_equipo].[ultimaLectura_fh] as [equ_equipo_ultimaLectura_fh],
[equ_equipo].[horometroActual] as [equ_equipo_horometroActual],
[equ_equipo].[promedioHoras] as [equ_equipo_promedioHoras],
[equ_equipo].[costo] as [equ_equipo_costo],
[equ_equipo].[fechaImportacion_ff] as [equ_equipo_fechaImportacion_ff],
[equ_equipo].[garantiaCancelada] as [equ_equipo_garantiaCancelada],
[equ_equipo].[id_catalogo.equipo] as [equ_equipo_id_catalogo.equipo],
[equ_equipo].[id_sistema] as [equ_equipo_id_sistema],
[equ_equipo].[id_sucursal] as [equ_equipo_id_sucursal],
[equ_equipo].[id_zona] as [equ_equipo_id_zona],
[equ_equipo].[id_versionEquipo] as [equ_equipo_id_versionEquipo],
[equ_equipo].[id_tercero_comprador] as [equ_equipo_id_tercero_comprador],
[equ_equipo].[id_tercero] as [equ_equipo_id_tercero],
[equ_equipo].[id_tercero_servicio] as [equ_equipo_id_tercero_servicio],
[equ_equipo].[id_equipo] as [equ_equipo_id_equipo],
[equ_equipo].[id_estadoEquipo] as [equ_equipo_id_estadoEquipo],
		[doc_documento.solicitud].[id_sucursal] AS [id_sucursal],
[ter_sucursal].[sucursal] as [ter_sucursal_sucursal],
[ter_sucursal].[sucursal_codigo] as [ter_sucursal_sucursal_codigo],
[ter_sucursal].[contacto] as [ter_sucursal_contacto],
[ter_sucursal].[telefono] as [ter_sucursal_telefono],
[ter_sucursal].[Fax] as [ter_sucursal_Fax],
[ter_sucursal].[Email] as [ter_sucursal_Email],
[ter_sucursal].[Direccion] as [ter_sucursal_Direccion],
[ter_sucursal].[paraVenta] as [ter_sucursal_paraVenta],
[ter_sucursal].[paraSoporte] as [ter_sucursal_paraSoporte],
[ter_sucursal].[paraAlquiler] as [ter_sucursal_paraAlquiler],
[ter_sucursal].[id_tercero] as [ter_sucursal_id_tercero],
[ter_sucursal].[id_zona] as [ter_sucursal_id_zona],
[ter_sucursal].[id_usuario_asesor] as [ter_sucursal_id_usuario_asesor],
[ter_sucursal].[id_usuario_tecnico] as [ter_sucursal_id_usuario_tecnico],
[ter_sucursal].[id_sucursal] as [ter_sucursal_id_sucursal],
[ter_sucursal].[id_estadoTercero] as [ter_sucursal_id_estadoTercero],
[ter_sucursal].[codigorecursiva] as [ter_sucursal_codigorecursiva],
		[doc_documento.solicitud].[id_zona] AS [id_zona],
[gen_zona].[zona] as [gen_zona_zona],
[gen_zona].[zona_codigo] as [gen_zona_zona_codigo],
[gen_zona].[tiempoDesplazamiento] as [gen_zona_tiempoDesplazamiento],
[gen_zona].[nivel] as [gen_zona_nivel],
[gen_zona].[id_zona] as [gen_zona_id_zona],
[gen_zona].[codigoExterno] as [gen_zona_codigoExterno],
		[doc_documento.solicitud].[cargo] AS [cargo],
		[doc_documento.solicitud].[direccion] AS [direccion],
[doc_documento_solicitud].[documento_codigo] AS [doc_documento_solicitud_documento_codigo],
[doc_documento_solicitud].[documento_numero] AS [doc_documento_solicitud_documento_numero],
[doc_documento_solicitud].[prefijo] AS [doc_documento_solicitud_prefijo],
[doc_documento_solicitud].[subtotal] AS [doc_documento_solicitud_subtotal],
[doc_documento_solicitud].[descuento] AS [doc_documento_solicitud_descuento],
[doc_documento_solicitud].[iva] AS [doc_documento_solicitud_iva],
[doc_documento_solicitud].[total] AS [doc_documento_solicitud_total],
[doc_documento_solicitud].[costo] AS [doc_documento_solicitud_costo],
[doc_documento_solicitud].[rentabilidad] AS [doc_documento_solicitud_rentabilidad],
[doc_documento_solicitud].[trm] AS [doc_documento_solicitud_trm],
[doc_documento_solicitud].[fecha_fh] AS [doc_documento_solicitud_fecha_fh],
[doc_documento_solicitud].[fechaSugerida_fh] AS [doc_documento_solicitud_fechaSugerida_fh],
[doc_documento_solicitud].[fechaCierre_ff] AS [doc_documento_solicitud_fechaCierre_ff],
[doc_documento_solicitud].[fechaLimite_fh] AS [doc_documento_solicitud_fechaLimite_fh],
[doc_documento_solicitud].[id_subtipoDocumento] AS [doc_documento_solicitud_id_subtipoDocumento],
[doc_documento_solicitud_doc_subtipoDocumento].[subtipoDocumento] as [doc_documento_solicitud_doc_subtipoDocumento_subtipoDocumento],
[doc_documento_solicitud_doc_subtipoDocumento].[subtipoDocumento_codigo] as [doc_documento_solicitud_doc_subtipoDocumento_subtipoDocumento_codigo],
[doc_documento_solicitud_doc_subtipoDocumento].[prefijo] as [doc_documento_solicitud_doc_subtipoDocumento_prefijo],
[doc_documento_solicitud_doc_subtipoDocumento].[consecutivo] as [doc_documento_solicitud_doc_subtipoDocumento_consecutivo],
[doc_documento_solicitud_doc_subtipoDocumento].[id_tipoDocumento] as [doc_documento_solicitud_doc_subtipoDocumento_id_tipoDocumento],
[doc_documento_solicitud_doc_subtipoDocumento].[programarPlaneadas] as [doc_documento_solicitud_doc_subtipoDocumento_programarPlaneadas],
[doc_documento_solicitud].[id_tercero_cliente] AS [doc_documento_solicitud_id_tercero_cliente],
[doc_documento_solicitud_ter_tercero_cliente].[tercero] as [doc_documento_solicitud_ter_tercero_cliente_tercero],
[doc_documento_solicitud_ter_tercero_cliente].[tercero_codigo] as [doc_documento_solicitud_ter_tercero_cliente_tercero_codigo],
[doc_documento_solicitud_ter_tercero_cliente].[tercero_nit] as [doc_documento_solicitud_ter_tercero_cliente_tercero_nit],
[doc_documento_solicitud_ter_tercero_cliente].[direccion] as [doc_documento_solicitud_ter_tercero_cliente_direccion],
[doc_documento_solicitud_ter_tercero_cliente].[contacto] as [doc_documento_solicitud_ter_tercero_cliente_contacto],
[doc_documento_solicitud_ter_tercero_cliente].[telefono] as [doc_documento_solicitud_ter_tercero_cliente_telefono],
[doc_documento_solicitud_ter_tercero_cliente].[fax] as [doc_documento_solicitud_ter_tercero_cliente_fax],
[doc_documento_solicitud_ter_tercero_cliente].[email] as [doc_documento_solicitud_ter_tercero_cliente_email],
[doc_documento_solicitud_ter_tercero_cliente].[website] as [doc_documento_solicitud_ter_tercero_cliente_website],
[doc_documento_solicitud_ter_tercero_cliente].[representante] as [doc_documento_solicitud_ter_tercero_cliente_representante],
[doc_documento_solicitud_ter_tercero_cliente].[notas] as [doc_documento_solicitud_ter_tercero_cliente_notas],
[doc_documento_solicitud_ter_tercero_cliente].[tercero_nombreCorto] as [doc_documento_solicitud_ter_tercero_cliente_tercero_nombreCorto],
[doc_documento_solicitud_ter_tercero_cliente].[esCliente] as [doc_documento_solicitud_ter_tercero_cliente_esCliente],
[doc_documento_solicitud_ter_tercero_cliente].[esProveedor] as [doc_documento_solicitud_ter_tercero_cliente_esProveedor],
[doc_documento_solicitud_ter_tercero_cliente].[esTransportador] as [doc_documento_solicitud_ter_tercero_cliente_esTransportador],
[doc_documento_solicitud_ter_tercero_cliente].[esFabricante] as [doc_documento_solicitud_ter_tercero_cliente_esFabricante],
[doc_documento_solicitud_ter_tercero_cliente].[esEmpresaPropia] as [doc_documento_solicitud_ter_tercero_cliente_esEmpresaPropia],
[doc_documento_solicitud_ter_tercero_cliente].[clasificacion] as [doc_documento_solicitud_ter_tercero_cliente_clasificacion],
[doc_documento_solicitud_ter_tercero_cliente].[id_zona] as [doc_documento_solicitud_ter_tercero_cliente_id_zona],
[doc_documento_solicitud_ter_tercero_cliente].[id_estadoTercero] as [doc_documento_solicitud_ter_tercero_cliente_id_estadoTercero],
[doc_documento_solicitud_ter_tercero_cliente].[id_naturalezaTercero] as [doc_documento_solicitud_ter_tercero_cliente_id_naturalezaTercero],
[doc_documento_solicitud_ter_tercero_cliente].[esProspecto] as [doc_documento_solicitud_ter_tercero_cliente_esProspecto],
[doc_documento_solicitud].[id_documento] AS [doc_documento_solicitud_id_documento],
[doc_documento_solicitud_doc_documento_padre].[documento] as [doc_documento_solicitud_doc_documento_padre_documento],
[doc_documento_solicitud_doc_documento_padre].[documento_codigo] as [doc_documento_solicitud_doc_documento_padre_documento_codigo],
[doc_documento_solicitud_doc_documento_padre].[documento_numero] as [doc_documento_solicitud_doc_documento_padre_documento_numero],
[doc_documento_solicitud_doc_documento_padre].[prefijo] as [doc_documento_solicitud_doc_documento_padre_prefijo],
[doc_documento_solicitud_doc_documento_padre].[subtotal] as [doc_documento_solicitud_doc_documento_padre_subtotal],
[doc_documento_solicitud_doc_documento_padre].[descuento] as [doc_documento_solicitud_doc_documento_padre_descuento],
[doc_documento_solicitud_doc_documento_padre].[iva] as [doc_documento_solicitud_doc_documento_padre_iva],
[doc_documento_solicitud_doc_documento_padre].[total] as [doc_documento_solicitud_doc_documento_padre_total],
[doc_documento_solicitud_doc_documento_padre].[costo] as [doc_documento_solicitud_doc_documento_padre_costo],
[doc_documento_solicitud_doc_documento_padre].[rentabilidad] as [doc_documento_solicitud_doc_documento_padre_rentabilidad],
[doc_documento_solicitud_doc_documento_padre].[trm] as [doc_documento_solicitud_doc_documento_padre_trm],
[doc_documento_solicitud_doc_documento_padre].[fecha_fh] as [doc_documento_solicitud_doc_documento_padre_fecha_fh],
[doc_documento_solicitud_doc_documento_padre].[fechaSugerida_fh] as [doc_documento_solicitud_doc_documento_padre_fechaSugerida_fh],
[doc_documento_solicitud_doc_documento_padre].[fechaCierre_ff] as [doc_documento_solicitud_doc_documento_padre_fechaCierre_ff],
[doc_documento_solicitud_doc_documento_padre].[fechaLimite_fh] as [doc_documento_solicitud_doc_documento_padre_fechaLimite_fh],
[doc_documento_solicitud_doc_documento_padre].[id_subtipoDocumento] as [doc_documento_solicitud_doc_documento_padre_id_subtipoDocumento],
[doc_documento_solicitud_doc_documento_padre].[id_tercero_cliente] as [doc_documento_solicitud_doc_documento_padre_id_tercero_cliente],
[doc_documento_solicitud_doc_documento_padre].[id_documento] as [doc_documento_solicitud_doc_documento_padre_id_documento],
[doc_documento_solicitud_doc_documento_padre].[id_tercero_proveedor] as [doc_documento_solicitud_doc_documento_padre_id_tercero_proveedor],
[doc_documento_solicitud_doc_documento_padre].[id_prioridadDocumento] as [doc_documento_solicitud_doc_documento_padre_id_prioridadDocumento],
[doc_documento_solicitud_doc_documento_padre].[id_moneda] as [doc_documento_solicitud_doc_documento_padre_id_moneda],
[doc_documento_solicitud_doc_documento_padre].[id_estadoTipoDocumento] as [doc_documento_solicitud_doc_documento_padre_id_estadoTipoDocumento],
[doc_documento_solicitud_doc_documento_padre].[id_motivoestado] as [doc_documento_solicitud_doc_documento_padre_id_motivoestado],
[doc_documento_solicitud_doc_documento_padre].[subtotalPlaneado] as [doc_documento_solicitud_doc_documento_padre_subtotalPlaneado],
[doc_documento_solicitud_doc_documento_padre].[descuentoPlaneado] as [doc_documento_solicitud_doc_documento_padre_descuentoPlaneado],
[doc_documento_solicitud_doc_documento_padre].[ivaPlaneado] as [doc_documento_solicitud_doc_documento_padre_ivaPlaneado],
[doc_documento_solicitud_doc_documento_padre].[totalPlaneado] as [doc_documento_solicitud_doc_documento_padre_totalPlaneado],
[doc_documento_solicitud_doc_documento_padre].[costoPlaneado] as [doc_documento_solicitud_doc_documento_padre_costoPlaneado],
[doc_documento_solicitud].[id_tercero_proveedor] AS [doc_documento_solicitud_id_tercero_proveedor],
[doc_documento_solicitud_ter_tercero_proveedor].[tercero] as [doc_documento_solicitud_ter_tercero_proveedor_tercero],
[doc_documento_solicitud_ter_tercero_proveedor].[tercero_codigo] as [doc_documento_solicitud_ter_tercero_proveedor_tercero_codigo],
[doc_documento_solicitud_ter_tercero_proveedor].[tercero_nit] as [doc_documento_solicitud_ter_tercero_proveedor_tercero_nit],
[doc_documento_solicitud_ter_tercero_proveedor].[direccion] as [doc_documento_solicitud_ter_tercero_proveedor_direccion],
[doc_documento_solicitud_ter_tercero_proveedor].[contacto] as [doc_documento_solicitud_ter_tercero_proveedor_contacto],
[doc_documento_solicitud_ter_tercero_proveedor].[telefono] as [doc_documento_solicitud_ter_tercero_proveedor_telefono],
[doc_documento_solicitud_ter_tercero_proveedor].[fax] as [doc_documento_solicitud_ter_tercero_proveedor_fax],
[doc_documento_solicitud_ter_tercero_proveedor].[email] as [doc_documento_solicitud_ter_tercero_proveedor_email],
[doc_documento_solicitud_ter_tercero_proveedor].[website] as [doc_documento_solicitud_ter_tercero_proveedor_website],
[doc_documento_solicitud_ter_tercero_proveedor].[representante] as [doc_documento_solicitud_ter_tercero_proveedor_representante],
[doc_documento_solicitud_ter_tercero_proveedor].[notas] as [doc_documento_solicitud_ter_tercero_proveedor_notas],
[doc_documento_solicitud_ter_tercero_proveedor].[tercero_nombreCorto] as [doc_documento_solicitud_ter_tercero_proveedor_tercero_nombreCorto],
[doc_documento_solicitud_ter_tercero_proveedor].[esCliente] as [doc_documento_solicitud_ter_tercero_proveedor_esCliente],
[doc_documento_solicitud_ter_tercero_proveedor].[esProveedor] as [doc_documento_solicitud_ter_tercero_proveedor_esProveedor],
[doc_documento_solicitud_ter_tercero_proveedor].[esTransportador] as [doc_documento_solicitud_ter_tercero_proveedor_esTransportador],
[doc_documento_solicitud_ter_tercero_proveedor].[esFabricante] as [doc_documento_solicitud_ter_tercero_proveedor_esFabricante],
[doc_documento_solicitud_ter_tercero_proveedor].[esEmpresaPropia] as [doc_documento_solicitud_ter_tercero_proveedor_esEmpresaPropia],
[doc_documento_solicitud_ter_tercero_proveedor].[clasificacion] as [doc_documento_solicitud_ter_tercero_proveedor_clasificacion],
[doc_documento_solicitud_ter_tercero_proveedor].[id_zona] as [doc_documento_solicitud_ter_tercero_proveedor_id_zona],
[doc_documento_solicitud_ter_tercero_proveedor].[id_estadoTercero] as [doc_documento_solicitud_ter_tercero_proveedor_id_estadoTercero],
[doc_documento_solicitud_ter_tercero_proveedor].[id_naturalezaTercero] as [doc_documento_solicitud_ter_tercero_proveedor_id_naturalezaTercero],
[doc_documento_solicitud_ter_tercero_proveedor].[esProspecto] as [doc_documento_solicitud_ter_tercero_proveedor_esProspecto],
[doc_documento_solicitud].[id_prioridadDocumento] AS [doc_documento_solicitud_id_prioridadDocumento],
[doc_documento_solicitud_doc_prioridadDocumento].[prioridadDocumento] as [doc_documento_solicitud_doc_prioridadDocumento_prioridadDocumento],
[doc_documento_solicitud_doc_prioridadDocumento].[prioridadDocumento_codigo] as [doc_documento_solicitud_doc_prioridadDocumento_prioridadDocumento_codigo],
[doc_documento_solicitud_doc_prioridadDocumento].[tiempoRespuesta] as [doc_documento_solicitud_doc_prioridadDocumento_tiempoRespuesta],
[doc_documento_solicitud_doc_prioridadDocumento].[id_tipoDocumento] as [doc_documento_solicitud_doc_prioridadDocumento_id_tipoDocumento],
[doc_documento_solicitud_doc_prioridadDocumento].[id_estrategiaPrioridad] as [doc_documento_solicitud_doc_prioridadDocumento_id_estrategiaPrioridad],
[doc_documento_solicitud].[id_moneda] AS [doc_documento_solicitud_id_moneda],
[doc_documento_solicitud_gen_moneda].[moneda] as [doc_documento_solicitud_gen_moneda_moneda],
[doc_documento_solicitud_gen_moneda].[moneda_codigo] as [doc_documento_solicitud_gen_moneda_moneda_codigo],
[doc_documento_solicitud_gen_moneda].[abreviatura] as [doc_documento_solicitud_gen_moneda_abreviatura],
[doc_documento_solicitud_gen_moneda].[cambio] as [doc_documento_solicitud_gen_moneda_cambio],
[doc_documento_solicitud].[id_estadoTipoDocumento] AS [doc_documento_solicitud_id_estadoTipoDocumento],
[doc_documento_solicitud_doc_estadoTipoDocumento].[estadoTipoDocumento] as [doc_documento_solicitud_doc_estadoTipoDocumento_estadoTipoDocumento],
[doc_documento_solicitud_doc_estadoTipoDocumento].[estadoTipoDocumento_codigo] as [doc_documento_solicitud_doc_estadoTipoDocumento_estadoTipoDocumento_codigo],
[doc_documento_solicitud_doc_estadoTipoDocumento].[afectaIndicador] as [doc_documento_solicitud_doc_estadoTipoDocumento_afectaIndicador],
[doc_documento_solicitud_doc_estadoTipoDocumento].[editaDocumento] as [doc_documento_solicitud_doc_estadoTipoDocumento_editaDocumento],
[doc_documento_solicitud_doc_estadoTipoDocumento].[orden] as [doc_documento_solicitud_doc_estadoTipoDocumento_orden],
[doc_documento_solicitud_doc_estadoTipoDocumento].[puedeRegresar] as [doc_documento_solicitud_doc_estadoTipoDocumento_puedeRegresar],
[doc_documento_solicitud_doc_estadoTipoDocumento].[color] as [doc_documento_solicitud_doc_estadoTipoDocumento_color],
[doc_documento_solicitud_doc_estadoTipoDocumento].[afectaInventario] as [doc_documento_solicitud_doc_estadoTipoDocumento_afectaInventario],
[doc_documento_solicitud_doc_estadoTipoDocumento].[id_tipoDocumento] as [doc_documento_solicitud_doc_estadoTipoDocumento_id_tipoDocumento],
[doc_documento_solicitud_doc_estadoTipoDocumento].[descripcion] as [doc_documento_solicitud_doc_estadoTipoDocumento_descripcion],
[doc_documento_solicitud].[id_motivoestado] AS [doc_documento_solicitud_id_motivoestado],
[doc_documento_solicitud_doc_motivoestado].[motivoestado] as [doc_documento_solicitud_doc_motivoestado_motivoestado],
[doc_documento_solicitud_doc_motivoestado].[motivoestado_codigo] as [doc_documento_solicitud_doc_motivoestado_motivoestado_codigo],
[doc_documento_solicitud_doc_motivoestado].[id_estadoTipoDocumento] as [doc_documento_solicitud_doc_motivoestado_id_estadoTipoDocumento],
[doc_documento_solicitud].[subtotalPlaneado] AS [doc_documento_solicitud_subtotalPlaneado],
[doc_documento_solicitud].[descuentoPlaneado] AS [doc_documento_solicitud_descuentoPlaneado],
[doc_documento_solicitud].[ivaPlaneado] AS [doc_documento_solicitud_ivaPlaneado],
[doc_documento_solicitud].[totalPlaneado] AS [doc_documento_solicitud_totalPlaneado],
[doc_documento_solicitud].[costoPlaneado] AS [doc_documento_solicitud_costoPlaneado],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_documento.solicitud]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.solicitud].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.solicitud].[id_usuario_creo]
	INNER JOIN [ort_departamentoSolicitud] ON [ort_departamentoSolicitud].id=[doc_documento.solicitud].[id_departamentoSolicitud]
	INNER JOIN [doc_medioSolicitud] ON [doc_medioSolicitud].id=[doc_documento.solicitud].[id_medioSolicitud]
	INNER JOIN [equ_equipo] ON [equ_equipo].id=[doc_documento.solicitud].[id_equipo]
	INNER JOIN [ter_sucursal] ON [ter_sucursal].id=[doc_documento.solicitud].[id_sucursal]
	INNER JOIN [gen_zona] ON [gen_zona].id=[doc_documento.solicitud].[id_zona]
	INNER JOIN [doc_documento] aS [doc_documento_solicitud] ON [doc_documento.solicitud].id = [doc_documento_solicitud].id
	INNER JOIN [doc_subtipoDocumento]as [doc_documento_solicitud_doc_subtipoDocumento] ON [doc_documento_solicitud_doc_subtipoDocumento].id=[doc_documento_solicitud].[id_subtipoDocumento]
	INNER JOIN [ter_tercero]as [doc_documento_solicitud_ter_tercero_cliente] ON [doc_documento_solicitud_ter_tercero_cliente].id=[doc_documento_solicitud].[id_tercero_cliente]
	INNER JOIN [doc_documento]as [doc_documento_solicitud_doc_documento_padre] ON [doc_documento_solicitud_doc_documento_padre].id=[doc_documento_solicitud].[id_documento]
	INNER JOIN [ter_tercero]as [doc_documento_solicitud_ter_tercero_proveedor] ON [doc_documento_solicitud_ter_tercero_proveedor].id=[doc_documento_solicitud].[id_tercero_proveedor]
	INNER JOIN [doc_prioridadDocumento]as [doc_documento_solicitud_doc_prioridadDocumento] ON [doc_documento_solicitud_doc_prioridadDocumento].id=[doc_documento_solicitud].[id_prioridadDocumento]
	INNER JOIN [gen_moneda]as [doc_documento_solicitud_gen_moneda] ON [doc_documento_solicitud_gen_moneda].id=[doc_documento_solicitud].[id_moneda]
	INNER JOIN [doc_estadoTipoDocumento]as [doc_documento_solicitud_doc_estadoTipoDocumento] ON [doc_documento_solicitud_doc_estadoTipoDocumento].id=[doc_documento_solicitud].[id_estadoTipoDocumento]
	INNER JOIN [doc_motivoestado]as [doc_documento_solicitud_doc_motivoestado] ON [doc_documento_solicitud_doc_motivoestado].id=[doc_documento_solicitud].[id_motivoestado]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_documento.solicitud].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [doc_documento.solicitud].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.solicitud]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.solicitud]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXdepartamentoSolicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXdepartamentoSolicitud]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXdepartamentoSolicitud]
	@p_id_departamentoSolicitud INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.solicitud]
	WHERE ([id_departamentoSolicitud]= @p_id_departamentoSolicitud)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXmedioSolicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXmedioSolicitud]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXmedioSolicitud]
	@p_id_medioSolicitud INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.solicitud]
	WHERE ([id_medioSolicitud]= @p_id_medioSolicitud)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXequipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXequipo]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXequipo]
	@p_id_equipo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.solicitud]
	WHERE ([id_equipo]= @p_id_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXsucursal]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXsucursal]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXsucursal]
	@p_id_sucursal INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.solicitud]
	WHERE ([id_sucursal]= @p_id_sucursal)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXzona]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXzona]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXzona]
	@p_id_zona INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.solicitud]
	WHERE ([id_zona]= @p_id_zona)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudes]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudes]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudes]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_solicitud]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_solicitudes]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_solicitudes]
GO
CREATE PROCEDURE [lis_doc_documento_solicitudes]
	AS
BEGIN
	SELECT id AS id,
[documento.solicitud] AS [doc_documento.solicitud]
	FROM [doc_documento.solicitud]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_documento_solicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_documento_solicitud]
GO
CREATE PROCEDURE [upd_doc_documento_solicitud]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_active bit = null,
		@p_documento_solicitud varchar(300) = null,
		@p_email varchar(100) = null,
		@p_fax varchar(100) = null,
		@p_telefono varchar(100) = null,
		@p_solicitante varchar(100) = null,
		@p_motivoServicio varchar(8000) = null,
		@p_solucionTelefonica bit = null,
		@p_id_departamentoSolicitud int = null,
		@p_id_medioSolicitud int = null,
		@p_id_equipo int = null,
		@p_id_sucursal int = null,
		@p_id_zona int = null,
		@p_cargo varchar(50) = null,
		@p_direccion varchar(300) = null,
		@p_documento_codigo varchar(100),
		@p_documento_numero int,
		@p_prefijo varchar(10),
		@p_subtotal float,
		@p_descuento float,
		@p_iva float,
		@p_total float,
		@p_costo float,
		@p_rentabilidad float,
		@p_trm float,
		@p_fecha_fh smalldatetime,
		@p_fechaSugerida_fh smalldatetime,
		@p_fechaCierre_ff smalldatetime,
		@p_fechaLimite_fh smalldatetime,
		@p_id_subtipoDocumento int,
		@p_id_tercero_cliente int,
		@p_id_documento int,
		@p_id_tercero_proveedor int,
		@p_id_prioridadDocumento int,
		@p_id_moneda int,
		@p_id_estadoTipoDocumento int,
		@p_id_motivoestado int,
		@p_subtotalPlaneado float,
		@p_descuentoPlaneado float,
		@p_ivaPlaneado float,
		@p_totalPlaneado float,
		@p_costoPlaneado float
AS
BEGIN
exec [upd_doc_documento]
			@p_id,
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			@p_fechaCreacion,
			@p_documento_solicitud,
			@p_documento_codigo,
			@p_documento_numero,
			@p_prefijo,
			@p_subtotal,
			@p_descuento,
			@p_iva,
			@p_total,
			@p_costo,
			@p_rentabilidad,
			@p_trm,
			@p_fecha_fh,
			@p_fechaSugerida_fh,
			@p_fechaCierre_ff,
			@p_fechaLimite_fh,
			@p_id_subtipoDocumento,
			@p_id_tercero_cliente,
			@p_id_documento,
			@p_id_tercero_proveedor,
			@p_id_prioridadDocumento,
			@p_id_moneda,
			@p_id_estadoTipoDocumento,
			@p_id_motivoestado,
			@p_subtotalPlaneado,
			@p_descuentoPlaneado,
			@p_ivaPlaneado,
			@p_totalPlaneado,
			@p_costoPlaneado
	UPDATE [doc_documento.solicitud]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[fechaCreacion] = isnull(@p_fechaCreacion,[fechaCreacion]),
			[documento.solicitud] = isnull(@p_documento_solicitud,[documento.solicitud]),
			[email] = isnull(@p_email,[email]),
			[fax] = isnull(@p_fax,[fax]),
			[telefono] = isnull(@p_telefono,[telefono]),
			[solicitante] = isnull(@p_solicitante,[solicitante]),
			[motivoServicio] = isnull(@p_motivoServicio,[motivoServicio]),
			[solucionTelefonica] = isnull(@p_solucionTelefonica,[solucionTelefonica]),
			[id_departamentoSolicitud] = isnull(@p_id_departamentoSolicitud,[id_departamentoSolicitud]),
			[id_medioSolicitud] = isnull(@p_id_medioSolicitud,[id_medioSolicitud]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[id_sucursal] = isnull(@p_id_sucursal,[id_sucursal]),
			[id_zona] = isnull(@p_id_zona,[id_zona]),
			[cargo] = isnull(@p_cargo,[cargo]),
			[direccion] = isnull(@p_direccion,[direccion])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_documento_solicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_documento_solicitud]
GO
CREATE PROCEDURE [ins_doc_documento_solicitud]
		@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_solicitud varchar(300),
		@p_email varchar(100),
		@p_fax varchar(100),
		@p_telefono varchar(100),
		@p_solicitante varchar(100),
		@p_motivoServicio varchar(8000),
		@p_solucionTelefonica bit,
		@p_id_departamentoSolicitud int,
		@p_id_medioSolicitud int,
		@p_id_equipo int,
		@p_id_sucursal int,
		@p_id_zona int,
		@p_cargo varchar(50),
		@p_direccion varchar(300),
		@p_documento_codigo varchar(100),
		@p_documento_numero int,
		@p_prefijo varchar(10),
		@p_subtotal float,
		@p_descuento float,
		@p_iva float,
		@p_total float,
		@p_costo float,
		@p_rentabilidad float,
		@p_trm float,
		@p_fecha_fh smalldatetime,
		@p_fechaSugerida_fh smalldatetime,
		@p_fechaCierre_ff smalldatetime,
		@p_fechaLimite_fh smalldatetime,
		@p_id_subtipoDocumento int,
		@p_id_tercero_cliente int,
		@p_id_documento int,
		@p_id_tercero_proveedor int,
		@p_id_prioridadDocumento int,
		@p_id_moneda int,
		@p_id_estadoTipoDocumento int,
		@p_id_motivoestado int,
		@p_subtotalPlaneado float,
		@p_descuentoPlaneado float,
		@p_ivaPlaneado float,
		@p_totalPlaneado float,
		@p_costoPlaneado float
AS
BEGIN
	DECLARE @v_id int
exec @v_id = [ins_doc_documento]
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			@p_documento_solicitud,
			@p_documento_codigo,
			@p_documento_numero,
			@p_prefijo,
			@p_subtotal,
			@p_descuento,
			@p_iva,
			@p_total,
			@p_costo,
			@p_rentabilidad,
			@p_trm,
			@p_fecha_fh,
			@p_fechaSugerida_fh,
			@p_fechaCierre_ff,
			@p_fechaLimite_fh,
			@p_id_subtipoDocumento,
			@p_id_tercero_cliente,
			@p_id_documento,
			@p_id_tercero_proveedor,
			@p_id_prioridadDocumento,
			@p_id_moneda,
			@p_id_estadoTipoDocumento,
			@p_id_motivoestado,
			@p_subtotalPlaneado,
			@p_descuentoPlaneado,
			@p_ivaPlaneado,
			@p_totalPlaneado,
			@p_costoPlaneado		
INSERT INTO [doc_documento.solicitud]
			([id],
			[uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento.solicitud],
			[email],
			[fax],
			[telefono],
			[solicitante],
			[motivoServicio],
			[solucionTelefonica],
			[id_departamentoSolicitud],
			[id_medioSolicitud],
			[id_equipo],
			[id_sucursal],
			[id_zona],
			[cargo],
			[direccion])
		VALUES( @v_id,
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_solicitud,
			@p_email,
			@p_fax,
			@p_telefono,
			@p_solicitante,
			@p_motivoServicio,
			@p_solucionTelefonica,
			@p_id_departamentoSolicitud,
			@p_id_medioSolicitud,
			@p_id_equipo,
			@p_id_sucursal,
			@p_id_zona,
			@p_cargo,
			@p_direccion)
UPDATE [doc_documento.solicitud] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_documento_solicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_documento_solicitud]
GO
CREATE PROCEDURE [act_doc_documento_solicitud]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
EXEC [act_doc_documento]
	@p_active,
	@p_id,
@p_id_usuario_modifico
	UPDATE [doc_documento.solicitud]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_solicitud_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_solicitud_m]
GO
CREATE PROCEDURE [reg_doc_documento_solicitud_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.solicitud] AS [documento.solicitud],
		[email] AS [email],
		[fax] AS [fax],
		[telefono] AS [telefono],
		[solicitante] AS [solicitante],
		[motivoServicio] AS [motivoServicio],
		[solucionTelefonica] AS [solucionTelefonica],
		[id_departamentoSolicitud] AS [id_departamentoSolicitud],
		[id_medioSolicitud] AS [id_medioSolicitud],
		[id_equipo] AS [id_equipo],
		[id_sucursal] AS [id_sucursal],
		[id_zona] AS [id_zona],
		[cargo] AS [cargo],
		[direccion] AS [direccion]
	FROM [doc_documento.solicitud]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.solicitud]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.solicitud]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXdepartamentoSolicitud_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXdepartamentoSolicitud_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXdepartamentoSolicitud_m]
	@p_id_departamentoSolicitud INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.solicitud]
	WHERE ([id_departamentoSolicitud]= @p_id_departamentoSolicitud)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXmedioSolicitud_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXmedioSolicitud_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXmedioSolicitud_m]
	@p_id_medioSolicitud INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.solicitud]
	WHERE ([id_medioSolicitud]= @p_id_medioSolicitud)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXequipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXequipo_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXequipo_m]
	@p_id_equipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.solicitud]
	WHERE ([id_equipo]= @p_id_equipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXsucursal_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXsucursal_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXsucursal_m]
	@p_id_sucursal INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.solicitud]
	WHERE ([id_sucursal]= @p_id_sucursal)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudesXzona_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudesXzona_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudesXzona_m]
	@p_id_zona INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.solicitud]
	WHERE ([id_zona]= @p_id_zona)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_solicitudes_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_solicitudes_m]
GO
CREATE PROCEDURE [sel_doc_documento_solicitudes_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_solicitud]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_solicitudes_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_solicitudes_m]
GO
CREATE PROCEDURE [lis_doc_documento_solicitudes_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[documento.solicitud] AS [doc_documento.solicitud]
	FROM [doc_documento.solicitud]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_documento_solicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_documento_solicitud]
GO
CREATE PROCEDURE [aud_doc_documento_solicitud]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_documento.solicitud].id as id_tabla,
	[doc_documento.solicitud].id_usuario_modifico as id_usuario_modifico,
	[doc_documento.solicitud].id_usuario_creo as id_usuario_creo,
	[doc_documento.solicitud].fechaModificacion as fechaModificacion,
	[doc_documento.solicitud].fechaCreacion as fechaCreacion,
	[doc_documento.solicitud].active as active,
	[doc_documento.solicitud].[documento.solicitud] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_documento.solicitud]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.solicitud].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.solicitud].[id_usuario_creo]
	where ' + @p_filtro)
END

